Request

Response

    GET

    twins/{twinID}/documents/{documentID}

    Returns Tandem document definition.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/tandem/v1/twins/{twinID}/documents/{documentID}
    Authentication Context
    user context optional
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a two-legged access token obtained via a Client Credentials Grant flow, or a three-legged access token obtained via Authorization Code flow, Authorization Code flow with PKCE, or Secure Service Account flow (for headless scenarios).
    Region
    string
    Specifies the region where your request should be routed. Possible values: US, EMEA. For more details, see Regions.
    * Required

    Request

    URI Parameters

    twinID
    string
    Twin URN
    documentID
    string
    Document ID

    Response

    HTTP Status Code Summary

    200
    OK
    OK
    403
    Forbidden
    The service was unable to process the request. The syntax of the request may be malformed or the request may be missing a required header. Do not resend the request without fixing the issue. The response body may indicate what is wrong with the request.
    500
    Internal Server Error
    The service encountered an error that it was unable to handle. Wait for a few minutes and resend the request. If the error persists, contact us at aps.help@autodesk.com.

    Response

    Body Structure (200)

    accAccountId
    string
    Optional account ID of Autodesk Docs where original document is stored
    accLineage
    string
    Optional item id of document
    accProjectId
    string
    Optional project ID of Autodesk Docs where original document is stored
    accVersion
    string
    Optional version of of document
    contentType
    string
    content type (i.e. application/pdf)
    id
    string
    Unique id of document
    label
    string
    Optional label
    lastUpdated
    string
    Optional timestamp of last modification (ISO 8601 format)
    name
    string
    Document name
    s3Path
    string
    S3 storage location
    signedLink
    string
    Optional signed URL
    uploadPending
    boolean
    Optional readability of a document

    Example

    This example demonstrates successfully getting information about a specific document

    Request

    curl -v 'https://developer.api.autodesk.com/tandem/v1/twins/urn:adsk.dtt:d5eZt_XtRzqUHT93-vNZxw/documents/urn:adsk.dtd:4uY1NEJjTpGiuG9kGMLG7w' \
      -H 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsIm....'
    

    Response

    {
        "id": "urn:adsk.dtd:4uY1NEJjTpGiuG9kGMLG7w",
        "contentType": "application/pdf",
        "s3Path": "d5eZt_XtRzqUHT93-vNZxw/e2e63534-4263-4e91-a2b8-6f6418c2c6ef/v0",
        "lastUpdated": "2022-05-31T17:00:45Z",
        "signedLink": "https://tandem.autodesk.com/api/v1/twins/urn:adsk.dtt:d5eZt_XtRzqUHT93-vNZxw/documents/urn:adsk.dtd:4uY1NEJjTpGiuG9kGMLG7w/content?lastupdated=1654016445",
        "name": "schlage_warranty.pdf",
        "accProjectId": "b.510b9020-0be4-4a1e-abae-8da3e438955d",
        "accAccountId": "b.485ec674-e1cf-48cf-9aff-022376591171",
        "accLineage": "urn:adsk.wipprod:dm.lineage:Rog3z9MoRmuf80HmcKXWoA",
        "accVersion": "urn:adsk.wipprod:fs.file:vf.Rog3z9MoRmuf80HmcKXWoA?version=1"
    }
    
    Show More